import request from '@/utils/request'

// 查询大楼信息列表
export function listBuildingInfo(query) {
  return request({
    url: '/info/buildingInfo/list',
    method: 'get',
    params: query
  })
}

// 查询大楼信息详细
export function getBuildingInfo(buildingId) {
  return request({
    url: '/info/buildingInfo/' + buildingId,
    method: 'get'
  })
}

// 新增大楼信息
export function addBuildingInfo(data) {
  return request({
    url: '/info/buildingInfo',
    method: 'post',
    data: data
  })
}

// 修改大楼信息
export function updateBuildingInfo(data) {
  return request({
    url: '/info/buildingInfo',
    method: 'put',
    data: data
  })
}

// 删除大楼信息
export function delBuildingInfo(buildingId) {
  return request({
    url: '/info/buildingInfo/' + buildingId,
    method: 'delete'
  })
}

// 导出大楼信息
export function exportBuildingInfo(query) {
  return request({
    url: '/info/buildingInfo/export',
    method: 'get',
    params: query
  })
}
